%define upstream_name    Apache2-ModSSL
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Apache2::ModSSL - a Perl Interface to mod_ssl functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/O/OP/OPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::TestConfig)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(mod_perl2)
BuildRequires: perl-devel
BuildRequires: apache-devel
BuildRequires: apache-mod_perl
BuildRequires: apache-mod_perl-devel
BuildRequires: apache-mod_ssl

%description
Perl interface to mod_ssl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
#%{__perl} Makefile.PL INC="-I`%{_sbindir}/apxs -q INCLUDEDIR` `apr-1-config --includes` `apu-1-config --includes`" INSTALLDIRS=vendor
%{__perl} Makefile.PL -apxs %{_sbindir}/apxs INSTALLDIRS=vendor
%make

#export APACHE_TEST_HTTPD="%{_sbindir}/httpd"
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%files
%doc Changes META.yml README
%dir %{perl_vendorlib}/*/auto/Apache2/ModSSL
%{perl_vendorlib}/*/auto/Apache2/ModSSL/ModSSL.so
%{perl_vendorlib}/*/Apache2/ModSSL.pm
%{_mandir}/*/*


%changelog
* Wed Jun 22 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 112223
- adding missing buildrequires:
- update to 0.08

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-4.mga2
+ Revision: 103952
- perl 5.14

  + jquelin <jquelin>
    - perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 38355
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Apache2-ModSSL


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-2mdv2011.0
+ Revision: 555666
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 402971
- rebuild using %%perl_convert_version

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 300643
- nouvelle version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.06-2mdv2009.0
+ Revision: 268367
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
+ Revision: 195210
- new version

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 0.03-3mdv2008.1
+ Revision: 151815
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdv2008.1
+ Revision: 138099
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-1mdv2007.0
+ Revision: 73256
- import perl-Apache2-ModSSL-0.03-1mdv2007.0

* Thu Sep 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdv2007.0
- rebuild
- disable the tests for now

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

